
Redmine - Defect #8415

Upload File doesn't function when creating new redmine demand

2011-05-20 14:47 - Ryad Ryad

Status: Closed Start date: 2011-05-20

Priority: High Due date:  

Assignee:  % Done: 100%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello,

I'm using redmine and when creating new demand, I can't upload file when try attach file (Add another file doesn't function) .

Could you help please.

Thank you in advance.

Best regards,

History

#1 - 2011-05-20 15:11 - Etienne Massip

- Category set to Attachments

Please give details on error (see SubmittingBugs).

And check that account running Redmine instance has write permission to files directory.

#2 - 2011-05-20 15:29 - Ryad Ryad

Hi,

Unfortunately, there is no error in log.

In addition, I have verified the account running redmine, it has write permission to files directory.

On the other hand, the application's environment is :

Ruby version              1.8.6 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /PROD/APP/redmine/redmine-1.1.1

Environment               production

Database adapter          mysql

Database schema version   20101114115359

About your Redmine plugins

Redmine Hudson plugin                    1.0.5

ezFAQ plugin                             0.3.5

Redmine Checkout plugin                  0.5

Redmine Attach Screenshot plugin         0.0.4

Projects Tree View plugin                0.0.4

Redmine Repository Controls plugin       0.1.0

Redmine Graphs plugin                    0.1.0

Mylyn Connector plugin                   2.7.0.stable.RC3

JRedmine Rails plugin                    0.0.1

Redmine Newissuealerts plugin            0.0.2

Redmine Doodles plugin                   0.5.1

Architecture Decisions plugin            0.0.9
Redmine Version Burndown Charts plugin   0.0.5

Thank you for your help.

Regards,

#3 - 2011-05-20 15:50 - Etienne Massip

You should upgrade Rack according to Redmine requirements, see RedmineInstall.

#4 - 2011-05-23 14:16 - Ryad Ryad

- Status changed from New to Resolved

- % Done changed from 0 to 100

Thank you for your help.

Finally, I have solved this issue and it was due to a pb caused by a bad interaction between the addfile javacsript and the screenshot plugin.

Have a nice day.

#5 - 2011-05-23 14:32 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for feedback !

#6 - 2011-05-23 21:50 - Deep Bera

Thanks for feedback
